CMMotionRemover Class Reference

This class prevents the center of mass of a System from drifting. More...

Inheritance diagram for CMMotionRemover:

## Public Member Functions

def | getFrequency (self, args)
| getFrequency(CMMotionRemover self) -> int More...
def | setFrequency (self, args)
| setFrequency(CMMotionRemover self, int freq) More...
def | usesPeriodicBoundaryConditions (self, args)
| usesPeriodicBoundaryConditions(CMMotionRemover self) -> bool More...
def | __init__ (self, args)
| init(OpenMM::CMMotionRemover self, int frequency=1) -> CMMotionRemover init(OpenMM::CMMotionRemover self, CMMotionRemover other) -> CMMotionRemover More...
def | __del__ (self)
| del(OpenMM::CMMotionRemover self) More...
Public Member Functions inherited from Force
def | __init__ (self, args, kwargs)
def | __del__ (self)
| del(OpenMM::Force self) More...
def | getForceGroup (self, args)
| getForceGroup(Force self) -> int More...
def | setForceGroup (self, args)
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions (self, args)
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__ (self)
def | __deepcopy__ (self, memo)

## Public Attributes

| this

## Detailed Description

This class prevents the center of mass of a System from drifting.

At each time step, it calculates the center of mass momentum, then adjusts the individual particle velocities to make it zero.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::CMMotionRemover self, int frequency=1) -> CMMotionRemover init(OpenMM::CMMotionRemover self, CMMotionRemover other) -> CMMotionRemover

Create a CMMotionRemover.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::CMMotionRemover self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def getFrequency | ( |  | self,
|  |  | args
| ) |  |

getFrequency(CMMotionRemover self) -> int

Get the frequency (in time steps) at which center of mass motion should be removed

References simtk.openmm.openmm.stripUnits().

def setFrequency | ( |  | self,
|  |  | args
| ) |  |

setFrequency(CMMotionRemover self, int freq)

Set the frequency (in time steps) at which center of mass motion should be removed

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(CMMotionRemover self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py